<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rltestPattern_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rltestPattern_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmwave radar test pattern config  
 <a href="structrltest_pattern__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a33febdf5675099572cb0595157c51d3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33febdf5675099572cb0595157c51d3e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a33febdf5675099572cb0595157c51d3e">testPatGenCtrl</a></td></tr>
<tr class="memdesc:a33febdf5675099572cb0595157c51d3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field controls the enable-disable of the generation of the test pattern. <br />
 Value Description <br />
 0x0 Disable test pattern generation <br />
 0x1 Enable test pattern generation <br />
. <br /></td></tr>
<tr class="separator:a33febdf5675099572cb0595157c51d3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab36824e395f1a50324473696580f92b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab36824e395f1a50324473696580f92b6"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#ab36824e395f1a50324473696580f92b6">testPatGenTime</a></td></tr>
<tr class="memdesc:ab36824e395f1a50324473696580f92b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of system clocks (200 MHz) between successive samples for the test pattern <br />
 gen. Applicable only in case of Test pattern enable. Else ignored. <br />
. <br /></td></tr>
<tr class="separator:ab36824e395f1a50324473696580f92b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f852079e46b5c07a3241e227e07166d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f852079e46b5c07a3241e227e07166d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a5f852079e46b5c07a3241e227e07166d">testPatrnPktSize</a></td></tr>
<tr class="memdesc:a5f852079e46b5c07a3241e227e07166d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of ADC samples to capture for each RX Valid range: 64 to MAX_NUM_SAMPLES, Where MAX_NUM_SAMPLES is such that all the enabled RX channels’ data fits into <br />
 16 kB memory, with each sample consuming 2 bytes for real ADC output case and 4 <br />
 bytes for complex 1x and complex 2x ADC output cases. For example: 4 RX, Complex ADC output -&gt; MAX_NUM_SAMPLES = 1024 4 RX, Real ADC output -&gt; MAX_NUM_SAMPLES = 2048 2 RX, Complex ADC output -&gt; MAX_NUM_SAMPLES = 2048 2 RX, Real ADC output -&gt; MAX_NUM_SAMPLES = 4096. <br /></td></tr>
<tr class="separator:a5f852079e46b5c07a3241e227e07166d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe644b2c9c129ee18262f0e3238cdb3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe644b2c9c129ee18262f0e3238cdb3a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#abe644b2c9c129ee18262f0e3238cdb3a">numTestPtrnPkts</a></td></tr>
<tr class="memdesc:abe644b2c9c129ee18262f0e3238cdb3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of test pattern packets to send, for infinite packets set it to 0. <br /></td></tr>
<tr class="separator:abe644b2c9c129ee18262f0e3238cdb3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c38670e3a4e86131ef3d9932149a7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84c38670e3a4e86131ef3d9932149a7c"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a84c38670e3a4e86131ef3d9932149a7c">testPatRx0Icfg</a></td></tr>
<tr class="memdesc:a84c38670e3a4e86131ef3d9932149a7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the values for Rx0, I channel. Applicable only in case of <br />
 test pattern enable. Else ignored. Bits Description <br />
 [15:0] Start offset value to be used for the first sample for the test <br />
 pattern data <br />
 [31:16] Value to be added for each successive sample for the test pattern <br />
 data <br />
. <br /></td></tr>
<tr class="separator:a84c38670e3a4e86131ef3d9932149a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77b68a2cbd8e23416c2acc868f1ee033"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77b68a2cbd8e23416c2acc868f1ee033"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a77b68a2cbd8e23416c2acc868f1ee033">testPatRx0Qcfg</a></td></tr>
<tr class="memdesc:a77b68a2cbd8e23416c2acc868f1ee033"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the values for Rx0, Q channel. Applicable only in case of <br />
 test pattern enable. Else ignored. <br />
 Bits Description <br />
 [15:0] Start offset value to be used for the first sample for the test <br />
 pattern data [31:16] Value to be added for each successive sample for the test pattern <br />
 data <br />
. <br /></td></tr>
<tr class="separator:a77b68a2cbd8e23416c2acc868f1ee033"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d5838f4ab910a0730874ae9a1e3889d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d5838f4ab910a0730874ae9a1e3889d"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a5d5838f4ab910a0730874ae9a1e3889d">testPatRx1Icfg</a></td></tr>
<tr class="memdesc:a5d5838f4ab910a0730874ae9a1e3889d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the values for Rx1, I channel. Applicable only in case of <br />
 test pattern enable. Else ignored. <br />
 Bits Description <br />
 [15:0] Start offset value to be used for the first sample for the test <br />
 pattern data [31:16] Value to be added for each successive sample for the test pattern <br />
 data. <br /></td></tr>
<tr class="separator:a5d5838f4ab910a0730874ae9a1e3889d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9701ad2116e18c2e39d4b67626805646"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9701ad2116e18c2e39d4b67626805646"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a9701ad2116e18c2e39d4b67626805646">testPatRx1Qcfg</a></td></tr>
<tr class="memdesc:a9701ad2116e18c2e39d4b67626805646"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the values for Rx1, Q channel. <br />
 Applicable only in case of test pattern enable. Else ignored. <br />
 Bits Description <br />
 [15:0] Start offset value to be used for the first sample for the test <br />
 pattern data [31:16] Value to be added for each successive sample for the test pattern <br />
 data. <br /></td></tr>
<tr class="separator:a9701ad2116e18c2e39d4b67626805646"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c7a9324fc5b6bd9a3b60b78b8004fdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c7a9324fc5b6bd9a3b60b78b8004fdb"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a3c7a9324fc5b6bd9a3b60b78b8004fdb">testPatRx2Icfg</a></td></tr>
<tr class="memdesc:a3c7a9324fc5b6bd9a3b60b78b8004fdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the values for Rx2, I channel. <br />
 Applicable only in case of test pattern enable. Else ignored. <br />
 Bits Description <br />
 [15:0] Start offset value to be used for the first sample for the test <br />
 pattern data [31:16] Value to be added for each successive sample for the test pattern <br />
 data. <br /></td></tr>
<tr class="separator:a3c7a9324fc5b6bd9a3b60b78b8004fdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a1d7e357a3a0ef784df1058dd1a6368"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a1d7e357a3a0ef784df1058dd1a6368"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a6a1d7e357a3a0ef784df1058dd1a6368">testPatRx2Qcfg</a></td></tr>
<tr class="memdesc:a6a1d7e357a3a0ef784df1058dd1a6368"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the values for Rx2, Q channel. <br />
 Applicable only in case of test pattern enable. Else ignored. <br />
 Bits Description <br />
 [15:0] Start offset value to be used for the first sample for the test <br />
 pattern data [31:16] Value to be added for each successive sample for the test pattern <br />
 data. <br /></td></tr>
<tr class="separator:a6a1d7e357a3a0ef784df1058dd1a6368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1a2918681787ed5f854c4b5a7d8bd2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec1a2918681787ed5f854c4b5a7d8bd2"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#aec1a2918681787ed5f854c4b5a7d8bd2">testPatRx3Icfg</a></td></tr>
<tr class="memdesc:aec1a2918681787ed5f854c4b5a7d8bd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the values for Rx3, I channel. <br />
 Applicable only in case of test pattern enable. Else ignored. <br />
 Bits Description <br />
 [15:0] Start offset value to be used for the first sample for the test <br />
 pattern data [31:16] Value to be added for each successive sample for the test pattern <br />
 data. <br /></td></tr>
<tr class="separator:aec1a2918681787ed5f854c4b5a7d8bd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a150e03f3f6b847dc95ad7103b27ae290"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a150e03f3f6b847dc95ad7103b27ae290"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a150e03f3f6b847dc95ad7103b27ae290">testPatRx3Qcfg</a></td></tr>
<tr class="memdesc:a150e03f3f6b847dc95ad7103b27ae290"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the values for Rx3, Q channel. <br />
 Applicable only in case of test pattern enable. Else ignored. <br />
 Bits Description <br />
 [15:0] Start offset value to be used for the first sample for the test <br />
 pattern data [31:16] Value to be added for each successive sample for the test pattern <br />
 data. <br /></td></tr>
<tr class="separator:a150e03f3f6b847dc95ad7103b27ae290"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a191b7297cc381cc761e98361bedacc41"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a191b7297cc381cc761e98361bedacc41"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrltest_pattern__t.html#a191b7297cc381cc761e98361bedacc41">reserved</a></td></tr>
<tr class="memdesc:a191b7297cc381cc761e98361bedacc41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a191b7297cc381cc761e98361bedacc41"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmwave radar test pattern config </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
